Subject: Re: [PATCH 2] count-objects: add human-readable size option

From: Marcus Griep <[email-masked]>
Date: Thu, 14 Aug 2008 10:09:14 -0400

Johannes Sixt wrote:
> No need to die here. Just make the buffer large enough, and you can have
> something that is as large as 18446744073709551615Y.

In my initial rendition, the output was guaranteed not to be longer than 5
characters.  However, you're right that there's no need to die, but perhaps
just return a negative value equal to the size over the user's requested
maxlen.

-- 
Marcus Griep
GPG Key ID: 0x5E968152
——
http://www.boohaunt.net
את.ψο´